Update the image name
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/assets/images/{imageId}
Path Parameters
- clientIdstringrequiredDescription
- imageIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- namestringrequiredDescription
Responses
200
- RestImage
- idinteger<int64>DescriptionFormatint64
- ownerstringDescription
- namestringDescription
- urlstringDescription
- heightinteger<int32>DescriptionFormatint32
- widthinteger<int32>DescriptionFormatint32
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
404
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/assets/images/{imageId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("name", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/assets/images/{imageId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/assets/images/{imageId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "name=string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/assets/images/{imageId}"
payload = 'name=string'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// New name of image was updated successfully.
{
"id": "",
"owner": "",
"name": "",
"url": "",
"height": "",
"width": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// The parameter "name" is missing.
404
// The image could not be found. Ensure that the required parameters such as "imageId" are correct and the image exists.